using System.Text.Json.Serialization;

namespace salesbook.Shared.Core.Dto;

public class CRMCreateContactRequestDTO
{
    [JsonPropertyName("codAnag")]
    public string? CodAnag { get; set; }

    [JsonPropertyName("codVdes")] 
    public string? CodVdes { get; set; }

    [JsonPropertyName("codVage")] 
    public string? CodVage { get; set; }

    [JsonPropertyName("tipoAnag")] 
    public string TipoAnag { get; set; }

    [JsonPropertyName("cliente")] 
    public ContactDTO Cliente { get; set; }

    [JsonPropertyName("persRif")] 
    public List<PersRifDTO>? PersRif { get; set; }
}